Package com.saxonica.ee.stream

## Class StreamingPatternMaker

- java.lang.Object
- - com.saxonica.ee.stream.StreamingPatternMaker

-     public class StreamingPatternMaker
      extends java.lang.Object

  Factory class to make a streaming pattern from an expression. This is a variant of the class `PatternMaker` which handles the special rules for the streaming case.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamingPatternMaker()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Pattern` | `makeStreamingPattern​(Expression expression, Configuration config, java.util.List<java.lang.String> reasonForFailure)` | Convert an expression that is capable of being evaluated as a filter on an XML event stream into a Pattern object which is able to act as the filter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingPatternMaker

          public StreamingPatternMaker()

  - ### Method Detail

    - #### makeStreamingPattern

          public static Pattern makeStreamingPattern​(Expression expression,
                                                     Configuration config,
                                                     java.util.List<java.lang.String> reasonForFailure)

      Convert an expression that is capable of being evaluated as a filter on an XML event stream into a Pattern object which is able to act as the filter
      Parameters:
        `expression` - the expression to be converted, which must already have been simplified and type-checked
        `config` - the Saxon configurtaion
        `reasonForFailure` - a list which will be populated with messages giving reasons why the expression cannot be converted
      Returns:
        the Pattern object if conversion succeeds; otherwise null